@article{shankar2018robust,
  title     = {Robust node generation for mesh-free discretizations on irregular domains and surfaces},
  author    = {Shankar, Varun and Kirby, Robert M and Fogelson, Aaron L},
  journal   = {SIAM Journal on Scientific Computing},
  volume    = {40},
  number    = {4},
  pages     = {A2584--A2608},
  year      = {2018},
  publisher = {SIAM}
}

@article{slak2019generation,
  title     = {On generation of node distributions for meshless PDE discretizations},
  author    = {Slak, Jure and Kosec, Gregor},
  journal   = {SIAM Journal on Scientific Computing},
  volume    = {41},
  number    = {5},
  pages     = {A3202--A3229},
  year      = {2019},
  publisher = {SIAM}
}

@book{buhmann2003radial,
  title     = {Radial basis functions: theory and implementations},
  author    = {Buhmann, Martin D},
  volume    = {12},
  year      = {2003},
  publisher = {Cambridge university press}
}

@article{bayona2017role,
  title     = {On the role of polynomials in RBF-FD approximations: II. Numerical solution of elliptic PDEs},
  author    = {Bayona, Victor and Flyer, Natasha and Fornberg, Bengt and Barnett, Gregory A},
  journal   = {Journal of Computational Physics},
  volume    = {332},
  pages     = {257--273},
  year      = {2017},
  publisher = {Elsevier}
}

@article{flyer2016role,
  title     = {On the role of polynomials in RBF-FD approximations: I. Interpolation and accuracy},
  author    = {Flyer, Natasha and Fornberg, Bengt and Bayona, Victor and Barnett, Gregory A},
  journal   = {Journal of Computational Physics},
  volume    = {321},
  pages     = {21--38},
  year      = {2016},
  publisher = {Elsevier}
}

@article{janvcivc2021monomial,
  title     = {Monomial Augmentation Guidelines for RBF-FD from Accuracy Versus Computational Time Perspective},
  author    = {Jan{\v{c}}i{\v{c}}, Mitja and Slak, Jure and Kosec, Gregor},
  journal   = {Journal of Scientific Computing},
  volume    = {87},
  number    = {1},
  pages     = {1--18},
  year      = {2021},
  publisher = {Springer}
}

@article{belytschko1994element,
  title     = {Element-free Galerkin methods},
  author    = {Belytschko, Ted and Lu, Yun Yun and Gu, Lei},
  journal   = {International journal for numerical methods in engineering},
  volume    = {37},
  number    = {2},
  pages     = {229--256},
  year      = {1994},
  publisher = {Wiley Online Library}
}

@article{atluri1998new,
  title     = {A new meshless local Petrov-Galerkin (MLPG) approach in computational mechanics},
  author    = {Atluri, Satya N and Zhu, Tulong},
  journal   = {Computational mechanics},
  volume    = {22},
  number    = {2},
  pages     = {117--127},
  year      = {1998},
  publisher = {Springer}
}

@article{duarte1996h,
  title     = {H-p clouds—an h-p meshless method},
  author    = {Duarte, C Armando and Oden, J Tinsley},
  journal   = {Numerical Methods for Partial Differential Equations: An International Journal},
  volume    = {12},
  number    = {6},
  pages     = {673--705},
  year      = {1996},
  publisher = {Wiley Online Library}
}

@article{tolstykh2003using,
  title     = {On using radial basis functions in a “finite difference mode” with applications to elasticity problems},
  author    = {Tolstykh, AI and Shirobokov, DA},
  journal   = {Computational Mechanics},
  volume    = {33},
  number    = {1},
  pages     = {68--79},
  year      = {2003},
  publisher = {Springer}
}

@article{chandhini2007local,
  title     = {Local RBF-FD solutions for steady convection--diffusion problems},
  author    = {Chandhini, G and Sanyasiraju, YVSS},
  journal   = {International Journal for Numerical Methods in Engineering},
  volume    = {72},
  number    = {3},
  pages     = {352--378},
  year      = {2007},
  publisher = {Wiley Online Library}
}

@article{kosec2018local,
  title     = {A local numerical solution of a fluid-flow problem on an irregular domain},
  author    = {Kosec, Gregor},
  journal   = {Advances in engineering software},
  volume    = {120},
  pages     = {36--44},
  year      = {2018},
  publisher = {Elsevier}
}

@article{slak2019adaptive,
  title     = {Adaptive radial basis function--generated finite differences method for contact problems},
  author    = {Slak, Jure and Kosec, Gregor},
  journal   = {International Journal for Numerical Methods in Engineering},
  volume    = {119},
  number    = {7},
  pages     = {661--686},
  year      = {2019},
  publisher = {Wiley Online Library}
}

@article{maksic2019cooling,
  title     = {Cooling of overhead power lines due to the natural convection},
  author    = {Maksi{\'c}, M and Djurica, V and Souvent, A and Slak, J and Depolli, M and Kosec, G},
  journal   = {International Journal of Electrical Power \& Energy Systems},
  volume    = {113},
  pages     = {333--343},
  year      = {2019},
  publisher = {Elsevier}
}

@article{bayona2010rbf,
  title     = {RBF-FD formulas and convergence properties},
  author    = {Bayona, Victor and Moscoso, Miguel and Carretero, Manuel and Kindelan, Manuel},
  journal   = {Journal of Computational Physics},
  volume    = {229},
  number    = {22},
  pages     = {8281--8295},
  year      = {2010},
  publisher = {Elsevier}
}

@book{wendland2004scattered,
  title     = {Scattered data approximation},
  author    = {Wendland, Holger},
  volume    = {17},
  year      = {2004},
  publisher = {Cambridge university press}
}
@article{schaback1995error,
  title     = {Error estimates and condition numbers for radial basis function interpolation},
  author    = {Schaback, Robert},
  journal   = {Advances in Computational Mathematics},
  volume    = {3},
  number    = {3},
  pages     = {251--264},
  year      = {1995},
  publisher = {Springer}
}

@article{barros2004error,
  title     = {On error estimator and p-adaptivity in the generalized finite element method},
  author    = {Barros, FB and Proen{\c{c}}a, SPB and de Barcellos, CS},
  journal   = {International Journal for Numerical Methods in Engineering},
  volume    = {60},
  number    = {14},
  pages     = {2373--2398},
  year      = {2004},
  publisher = {Wiley Online Library}
}

@techreport{babuska1992p,
  title       = {The p and hp versions of the finite element method: Basic principles and properties},
  author      = {Babuska, Ivo and Suri, Manil},
  year        = {1992},
  institution = {MARYLAND UNIV COLLEGE PARK INST FOR PHYSICAL SCIENCE AND TECHNOLOGY}
}

@inproceedings{slak2019high,
  title        = {High order RBF-FD approximations with application to a scattering problem},
  author       = {Slak, Jure and Stojanovi{\v{c}}, Bla{\v{z}} and Kosec, Gregor},
  booktitle    = {2019 4th International Conference on Smart and Sustainable Technologies (SpliTech)},
  pages        = {1--5},
  year         = {2019},
  organization = {IEEE}
}

@article{liu2003mesh,
  title   = {Mesh free methods: moving beyond the finite element method},
  author  = {Liu, Gui-Rong and Karamanlidis, D},
  journal = {Appl. Mech. Rev.},
  volume  = {56},
  number  = {2},
  pages   = {B17--B18},
  year    = {2003}
}

@article{depolli_parallel_2022,
	title = {Parallel domain discretization algorithm for {RBF}-{FD} and other meshless numerical methods for solving {PDEs}},
	volume = {264},
	issn = {0045-7949},
	url = {https://www.sciencedirect.com/science/article/pii/S0045794922000335},
	doi = {https://doi.org/10.1016/j.compstruc.2022.106773},
	journal = {Computers \& Structures},
	author = {Depolli, Matjaž and Slak, Jure and Kosec, Gregor},
	year = {2022},
	pages = {106773},
}

@misc{davydov2022improved,
      title={Improved Stencil Selection for Meshless Finite Difference Methods in 3D}, 
      author={Oleg Davydov and Dang Thi Oanh and Ngo Manh Tuong},
      year={2022},
      eprint={2202.06426},
      archivePrefix={arXiv},
      primaryClass={math.NA}
}

@book{liu2005introduction,
  title={An introduction to meshfree methods and their programming},
  author={Liu, Gui-Rong and Gu, Yuan-Tong},
  year={2005},
  publisher={Springer Science \& Business Media}
}

@article{mairhuber1956haar,
  title={On Haar's theorem concerning Chebychev approximation problems having unique solutions},
  author={Mairhuber, John C},
  journal={Proceedings of the American Mathematical Society},
  volume={7},
  number={4},
  pages={609--615},
  year={1956},
  publisher={JSTOR}
}

@article{slak2021medusa,
  title={Medusa: A c++ library for solving pdes using strong form mesh-free methods},
  author={Slak, Jure and Kosec, Gregor},
  journal={ACM Transactions on Mathematical Software (TOMS)},
  volume={47},
  number={3},
  pages={1--25},
  year={2021},
  publisher={ACM New York, NY, USA}
}

@article{nwoji2017solution,
  title={Solution of the Boussinesq problem of half space using Green and Zerna displacement potential function method},
  author={Nwoji, CU and Onah, HN and Mama, BO and Ike, CC},
  journal={The Electronic Journal of Geotechnical Engineering (EJGE)},
  volume={22},
  number={11},
  pages={4305--4314},
  year={2017}
}

@article{mitchell2013collection,
  title={A collection of 2D elliptic problems for testing adaptive grid refinement algorithms},
  author={Mitchell, William F},
  journal={Applied mathematics and computation},
  volume={220},
  pages={350--364},
  year={2013},
  publisher={Elsevier}
}

@misc{jancic2022stability,
      title={Stability analysis of RBF-FD and WLS based local strong form meshless methods on scattered nodes}, 
      author={Mitja Jančič and Gregor Kosec},
      year={2022},
      eprint={2202.13873},
      archivePrefix={arXiv},
      primaryClass={math.NA}
}

@article{oanh2017adaptive,
  title={Adaptive RBF-FD method for elliptic problems with point singularities in 2D},
  author={Oanh, Dang Thi and Davydov, Oleg and Phu, Hoang Xuan},
  journal={Applied Mathematics and Computation},
  volume={313},
  pages={474--497},
  year={2017},
  publisher={Elsevier}
}

@article{prax1996diffuse,
title={Diffuse approximation method for solving natural convection in porous media},
author={Prax, C and Sadat, H and Salagnac, Patrick},
journal={Transport in Porous Media},
volume={22},
number={2},
pages={215--223},
year={1996},
publisher={Springer}
}

@inproceedings{TrobecDepolli2021,
  author = {Roman Trobec and Matja\v{z} Depolli},
  booktitle = {2021 44th International Convention on Information, Communication and Electronic Technology {(MIPRO)}},
  title = {A k-d Tree Based Partitioning of Computational Domains for Efficient Parallel Computing},
  year = {2021},
  pages = {284-290},
  doi = {10.23919/MIPRO52101.2021.9597006}
}
@inproceedings{DepolliTrobec2019,
  author = {Depolli, Matja\v{z} and Trobec, Roman},
  booktitle = {2019 42nd International Convention on Information and Communication Technology, Electronics and Microelectronics {(MIPRO)}},
  title = {Computational efficiency of linear system construction for {MLPG} method on a multicore computer},
  year = {2019},
  pages = {200-205},
  doi = {10.23919/MIPRO.2019.8757104}
} 

@book{wang2019methods,
  title={Methods of fundamental solutions in solid mechanics},
  author={Wang, Hui and Qin, Qing-Hua},
  year={2019},
  publisher={Elsevier}
}

@article{onate1996finite,
  title={A finite point method in computational mechanics. Applications to convective transport and fluid flow},
  author={O{\~n}ate, Eugenio and Idelsohn, Sergio and Zienkiewicz, OC and Taylor, RL14177920884},
  journal={International journal for numerical methods in engineering},
  volume={39},
  number={22},
  pages={3839--3866},
  year={1996},
  publisher={Wiley Online Library}
}

@article{gavete2003improvements,
  title={Improvements of generalized finite difference method and comparison with other meshless method},
  author={Gavete, L and Gavete, ML and Benito, JJ1046},
  journal={Applied Mathematical Modelling},
  volume={27},
  number={10},
  pages={831--847},
  year={2003},
  publisher={Elsevier}
}